# DocumentStyle : Object
Return to: HTML DOM Level 2 index

Allows you to retrieve CSS stylesheets that are embedded in a document.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentStyle Constructor() : DocumentStyle Allows you to retrieve CSS stylesheets that are embedded in a document. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

### DocumentStyle() : DocumentStyle

Allows you to retrieve CSS stylesheets that are embedded in a document.

Returns

DocumentStyle |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
styleSheets : StyleSheetList Array of the stylesheets embedded in a document or linked into a document. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.2+

- Safari: Cannot access disabled or alternate stylesheets.

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs